%global momorel 4

Name:		battfink
Summary:	Energy saving and battery status utility.
Version:	0.6.2
Release:	%{momorel}m%{?dist}
License: 	GPL
Group:		User Interface/Desktops
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource:	0
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq:	gtk+-devel >= 2.0.0
BuildPrereq:	libglade-devel >= 2.0.0
BuildPrereq:	GConf >= 2.0.0
BuildPrereq:	libgnomeui-devel
# for /usr/include/apm.h
BuildPrereq:    apmd
Prereq:		GConf
Prereq:		scrollkeeper

%description
An Energy Saving Preference dialog with an associating
battery notification icon. 

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

# remove... dasa...
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/battfink.schemas > /dev/null
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/battfink.schemas
%{_bindir}/battfink
%{_libdir}/bonobo/servers/*.server
%{_datadir}/omf/battfink
%{_datadir}/control-center-2.0/capplets/battfink-preferences.desktop
%{_datadir}/locale/*/*/*.mo
%{_datadir}/pixmaps/battfink.png
%{_datadir}/battfink

%changelog
* Thu Apr 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.2-4m)
- add BuildPrereq

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.2-3m)
- rebuild against gcc43

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.2-2m)
- revised spec for enabling rpm 4.2.

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.2-1m)
- version 0.6.2

* Wed Jul 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-1m)
- version 0.6.1

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6-1m)
- version 0.6

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5-1m)
- version 0.5
